Bug 223825 - [New port] x11-themes/xfce-evolution: Complete Xfce Evolution Gtk2, Gtk3, Qt4, Qt5, wxWidgets, Xfce themes
Summary: [New port] x11-themes/xfce-evolution: Complete Xfce Evolution Gtk2, Gtk3, Qt4...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-23 17:30 UTC by J.R. Oldroyd
Modified: 2017-11-25 20:35 UTC (History)
1 user (show)

See Also:


Attachments
initial port shar xfce-evolution-3.1.6 (150.41 KB, text/plain)
2017-11-23 17:30 UTC, J.R. Oldroyd
no flags Details
Updated shar (150.59 KB, text/plain)
2017-11-24 00:09 UTC, Yuri Victorovich
no flags Details
Updated shar (150.57 KB, text/plain)
2017-11-24 05:15 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2017-11-23 17:30:41 UTC
Created attachment 188221 [details]
initial port shar xfce-evolution-3.1.6
Comment 1 Yuri Victorovich freebsd_committer 2017-11-24 00:09:32 UTC
Created attachment 188229 [details]
Updated shar

Thank you for your contribution!



I am getting these errors on 10, see below.

Are you able to fix these? Please use the updated shar I attached.

===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: share/themes/Xfce-Evolution-Bronze/gtk-3.0/assets/override/pan-end-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Bronze/gtk-3.0/assets/override/pan-start-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Crux/gtk-3.0/assets/override/pan-end-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Crux/gtk-3.0/assets/override/pan-start-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Default/gtk-3.0/assets/override/pan-end-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Default/gtk-3.0/assets/override/pan-start-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Default/xfwm4
Error: Missing: share/themes/Xfce-Evolution-Graphite/gtk-3.0/assets/override/pan-end-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Graphite/gtk-3.0/assets/override/pan-start-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Greybird/gtk-3.0/assets/override/pan-end-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Greybird/gtk-3.0/assets/override/pan-start-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Rainyday/gtk-3.0/assets/override/pan-end-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Rainyday/gtk-3.0/assets/override/pan-start-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Raleigh/gtk-3.0/assets/override/pan-end-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Raleigh/gtk-3.0/assets/override/pan-start-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Redmond/gtk-3.0/assets/override/pan-end-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Redmond/gtk-3.0/assets/override/pan-start-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Straw/gtk-3.0/assets/override/pan-end-symbolic-rtl.svg
Error: Missing: share/themes/Xfce-Evolution-Straw/gtk-3.0/assets/override/pan-start-symbolic-rtl.svg
===> Error: Plist issues found.
*** Error code 1
Comment 2 J.R. Oldroyd 2017-11-24 02:03:25 UTC
OK on all the changes you made.

The plist errors do not occur for me on 11.1.  I no longer have any 10.x systems to test on.

The plist errors shown are all symlinks in the installation tree.  What is needed on 10.x to support these symlinks?
Comment 3 Yuri Victorovich freebsd_committer 2017-11-24 05:09:19 UTC
(In reply to J.R. Oldroyd from comment #2)

unzip in 10 doesn't unpack symlinks.
Need to use USES=zip:infozip. I will replace it.
Comment 4 Yuri Victorovich freebsd_committer 2017-11-24 05:15:52 UTC
Created attachment 188234 [details]
Updated shar
Comment 5 Yuri Victorovich freebsd_committer 2017-11-25 20:34:41 UTC
Committed with some changes.

Thank you for your submission!
Comment 6 commit-hook freebsd_committer 2017-11-25 20:35:25 UTC
A commit references this bug:

Author: yuri
Date: Sat Nov 25 20:34:37 UTC 2017
New revision: 454895
URL: https://svnweb.freebsd.org/changeset/ports/454895

Log:
  New port: x11-themes/xfce-evolution: Complete Xfce Evolution Gtk2, Gtk3, Qt4, Qt5, wxWidgets, Xfce themes

  PR:		223825
  Submitted by:	J.R. Oldroyd <fbsd@opal.com>
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13219

Changes:
  head/x11-themes/Makefile
  head/x11-themes/xfce-evolution/
  head/x11-themes/xfce-evolution/Makefile
  head/x11-themes/xfce-evolution/distinfo
  head/x11-themes/xfce-evolution/pkg-descr
  head/x11-themes/xfce-evolution/pkg-plist